async function clientLoaderWithMiddleware(params, middlewareOptions = {}, middlewareStack) {
    const loaderData = middlewareOptions;
    const executeMiddlewares = async (index) => {
        if (index < middlewareStack.length) {
            const { func } = middlewareStack[index];
            await func(params, loaderData, async () => await executeMiddlewares(index + 1));
        }
    };
    await executeMiddlewares(0); // Start middleware execution from the first one
    return loaderData;
}export{clientLoaderWithMiddleware};